from mastodon.authorization import MastodonAuthorization
from mastodon.config import MastodonConfiguration
from mastodon.statuses import Statuses
from mastodon.timelines import Timelines


class MastodonApplication():
    def __init__(self, application_name):
        self.config = MastodonConfiguration(application_name)
        self.authorization = MastodonAuthorization(self.config)
        
        self.timelines = Timelines(self.config, self.authorization)
        self.statuses = Statuses(self.config, self.authorization)
