from pydantic import BaseModel, Field
from typing import Optional


class Card(BaseModel):
    url: str
    title: str
    description: str
    card_type: str = Field(alias="type")
    author_name: str
    author_url: str
    provider_name: str
    provider_url: str
    html: str
    width: int
    height: int
    image: Optional[str]
    embed_url: Optional[str]
